Page MenuHomePhabricator

Audit Juniper EX snapshots version
Closed, ResolvedPublic

Description

Similar to T257153 but for EX switches.

We need to:

1/ go over all the EX switches and run show system snapshot media internal and check if there are any discrepancies between the primary and the backup partitions.

For example:

fpc8:
--------------------------------------------------------------------------
Information for snapshot on       internal (/dev/da0s1a) (primary)
Creation date: Mar 22 10:46:30 2017
JUNOS version on snapshot:
  jdocs-ex: 14.1X53-D42.3
  junos  : ex-14.1X53-D42.3
  junos-ex-4300: 14.1X53-D42.3
  jweb-ex: 14.1X53-D42.3
Information for snapshot on       internal (/dev/da0s2a) (backup)
Creation date: Dec 1 16:00:58 2016
JUNOS version on snapshot:
  jdocs-ex: 15.1R4.6                    
  junos  : ex-15.1R4.6
  junos-ex-4300: 15.1R4.6
  jweb-ex: 15.1R4.6

If any, run request system snapshot slice alternate member X (no impact)

Note that the QFXs and EX4600 only support snapshots on USB drives.

2/ Update the doc (done)

Event Timeline

ayounsi triaged this task as High priority.Sep 8 2020, 3:43 PM
ayounsi created this task.
Restricted Application added a project: SRE. · View Herald TranscriptSep 8 2020, 3:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Mentioned in SAL (#wikimedia-operations) [2020-09-16T05:50:49Z] <XioNoX> msw1-codfw> request system snapshot slice alternate - T262290

ayounsi updated the task description. (Show Details)Sep 16 2020, 5:51 AM

Mentioned in SAL (#wikimedia-operations) [2020-09-16T05:53:49Z] <XioNoX> asw2-a-eqiad> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T06:20:25Z] <XioNoX> asw2-b-eqiad> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T07:40:46Z] <XioNoX> asw2-c-eqiad> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T08:02:11Z] <XioNoX> asw2-d-eqiad> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T08:17:53Z] <XioNoX> asw-a-codfw> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T08:27:23Z] <XioNoX> asw-b-codfw> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T08:41:09Z] <XioNoX> asw-c-codfw> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T08:52:24Z] <XioNoX> asw-d-codfw> request system snapshot slice alternate all-members - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T09:08:03Z] <XioNoX> fasw-c-eqiad> request system snapshot slice alternate member 1 - T262290

Mentioned in SAL (#wikimedia-operations) [2020-09-16T09:13:29Z] <XioNoX> fasw-c-eqiad> request system snapshot slice alternate member 0 - T262290

ayounsi closed this task as Resolved.Sep 16 2020, 9:15 AM

All done!